#ifndef PRINTOPTION_H
#define PRINTOPTION_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QGridLayout>
#include <QtGui/QGroupBox>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QVBoxLayout>

class Ui_printOption
{
public:
    QVBoxLayout *vboxLayout;
    QGroupBox *groupBox;
    QGridLayout *gridLayout;
    QGridLayout *gridLayout1;
    QLabel *label_2_2;
    QLabel *label_3;
    QLineEdit *editRight;
    QLabel *label_2;
    QLineEdit *editTop;
    QLabel *label;
    QLineEdit *editLeft;
    QLineEdit *editBottom;
    QHBoxLayout *hboxLayout;
    QSpacerItem *spacerItem;
    QPushButton *okButton;
    QPushButton *cancelButton;

    void setupUi(QDialog *printOption)
    {
    printOption->setObjectName(QString::fromUtf8("printOption"));
    printOption->resize(QSize(333, 145).expandedTo(printOption->minimumSizeHint()));
    vboxLayout = new QVBoxLayout(printOption);
    vboxLayout->setSpacing(6);
    vboxLayout->setMargin(8);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    groupBox = new QGroupBox(printOption);
    groupBox->setObjectName(QString::fromUtf8("groupBox"));
    gridLayout = new QGridLayout(groupBox);
    gridLayout->setSpacing(6);
    gridLayout->setMargin(8);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    gridLayout1 = new QGridLayout();
    gridLayout1->setSpacing(6);
    gridLayout1->setMargin(0);
    gridLayout1->setObjectName(QString::fromUtf8("gridLayout1"));
    label_2_2 = new QLabel(groupBox);
    label_2_2->setObjectName(QString::fromUtf8("label_2_2"));

    gridLayout1->addWidget(label_2_2, 1, 2, 1, 1);

    label_3 = new QLabel(groupBox);
    label_3->setObjectName(QString::fromUtf8("label_3"));

    gridLayout1->addWidget(label_3, 1, 0, 1, 1);

    editRight = new QLineEdit(groupBox);
    editRight->setObjectName(QString::fromUtf8("editRight"));

    gridLayout1->addWidget(editRight, 1, 3, 1, 1);

    label_2 = new QLabel(groupBox);
    label_2->setObjectName(QString::fromUtf8("label_2"));

    gridLayout1->addWidget(label_2, 0, 2, 1, 1);

    editTop = new QLineEdit(groupBox);
    editTop->setObjectName(QString::fromUtf8("editTop"));

    gridLayout1->addWidget(editTop, 0, 1, 1, 1);

    label = new QLabel(groupBox);
    label->setObjectName(QString::fromUtf8("label"));

    gridLayout1->addWidget(label, 0, 0, 1, 1);

    editLeft = new QLineEdit(groupBox);
    editLeft->setObjectName(QString::fromUtf8("editLeft"));

    gridLayout1->addWidget(editLeft, 1, 1, 1, 1);

    editBottom = new QLineEdit(groupBox);
    editBottom->setObjectName(QString::fromUtf8("editBottom"));

    gridLayout1->addWidget(editBottom, 0, 3, 1, 1);


    gridLayout->addLayout(gridLayout1, 0, 0, 1, 1);


    vboxLayout->addWidget(groupBox);

    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(0);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    spacerItem = new QSpacerItem(131, 31, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem);

    okButton = new QPushButton(printOption);
    okButton->setObjectName(QString::fromUtf8("okButton"));

    hboxLayout->addWidget(okButton);

    cancelButton = new QPushButton(printOption);
    cancelButton->setObjectName(QString::fromUtf8("cancelButton"));

    hboxLayout->addWidget(cancelButton);


    vboxLayout->addLayout(hboxLayout);

    label_2_2->setBuddy(editRight);
    label_3->setBuddy(editLeft);
    label_2->setBuddy(editBottom);
    label->setBuddy(editTop);
    QWidget::setTabOrder(editTop, editBottom);
    QWidget::setTabOrder(editBottom, editLeft);
    QWidget::setTabOrder(editLeft, editRight);
    QWidget::setTabOrder(editRight, okButton);
    QWidget::setTabOrder(okButton, cancelButton);
    retranslateUi(printOption);

    QMetaObject::connectSlotsByName(printOption);
    } // setupUi

    void retranslateUi(QDialog *printOption)
    {
    printOption->setWindowTitle(QApplication::translate("printOption", "Print option", 0, QApplication::UnicodeUTF8));
    groupBox->setTitle(QApplication::translate("printOption", "Margin(0..50mm)", 0, QApplication::UnicodeUTF8));
    label_2_2->setText(QApplication::translate("printOption", "<html><head><meta name=\"qrichtext\" content=\"1\" /></head><body style=\" white-space: pre-wrap; font-family:Sans Serif; font-weight:400; font-style:normal; text-decoration:none;\"><p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Right</p></body></html>", 0, QApplication::UnicodeUTF8));
    label_3->setText(QApplication::translate("printOption", "<html><head><meta name=\"qrichtext\" content=\"1\" /></head><body style=\" white-space: pre-wrap; font-family:Sans Serif; font-weight:400; font-style:normal; text-decoration:none;\"><p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Left</p></body></html>", 0, QApplication::UnicodeUTF8));
    label_2->setText(QApplication::translate("printOption", "<html><head><meta name=\"qrichtext\" content=\"1\" /></head><body style=\" white-space: pre-wrap; font-family:Sans Serif; font-weight:400; font-style:normal; text-decoration:none;\"><p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Bottom</p></body></html>", 0, QApplication::UnicodeUTF8));
    label->setText(QApplication::translate("printOption", "<html><head><meta name=\"qrichtext\" content=\"1\" /></head><body style=\" white-space: pre-wrap; font-family:Sans Serif; font-weight:400; font-style:normal; text-decoration:none;\"><p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Top</p></body></html>", 0, QApplication::UnicodeUTF8));
    okButton->setText(QApplication::translate("printOption", "OK", 0, QApplication::UnicodeUTF8));
    cancelButton->setText(QApplication::translate("printOption", "Cancel", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(printOption);
    } // retranslateUi

};

namespace Ui {
    class printOption: public Ui_printOption {};
} // namespace Ui

#endif // PRINTOPTION_H
